#pragma once

#include <Arduino.h>
#include "data_model.h"
#include "wifi_manager.h"

void web_server_begin_ap(const SenderStatus *statuses, uint8_t count);
void web_server_begin_sta(const SenderStatus *statuses, uint8_t count);
void web_server_set_config(const WifiMqttConfig &config);
void web_server_loop();
